Firefox ESR < 17.0.11 Null_Cipher Code Execution (Mac OS X)

High Nessus Plugin ID 70944

Synopsis

The remote Mac OS X host contains a web browser that is potentially affected by a code execution vulnerability.

Description

The installed version of Firefox ESR is a version prior to 17.0.11 and is, therefore, potentially affected by a code execution vulnerability related to the function 'Null_Cipher' in the file 'ssl/ssl3con.c' and handling handshake packets.

Solution

Upgrade to Firefox ESR 17.0.11 or later.

See Also

https://www.mozilla.org/en-US/security/advisories/mfsa2013-103/

http://www.nessus.org/u?cbfe91d6

https://developer.mozilla.org/en-US/docs/NSS/NSS_3.14.5_release_notes

Plugin Details

Severity: High

ID: 70944

File Name: macosx_firefox_17_0_11_esr.nasl

Version: 1.10

Type: local

Agent: macosx

Published: 2013/11/18

Updated: 2019/11/27

Dependencies: 55417

Risk Information

Risk Factor: High

CVSS Score Source: CVE-2013-5605

CVSS v2.0

Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:mozilla:firefox_esr

Required KB Items: MacOSX/Firefox/Installed

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2013/11/15

Vulnerability Publication Date: 2013/11/12

Reference Information

CVE: CVE-2013-5605

BID: 63737